Subject: Re: bug#24079: 11.89.4; Auctex noweb issue.

From: Mosè Giordano <[email-masked]>
Date: Wed, 27 Jul 2016 13:43:45 +0200

Hi Shawn,

2016-07-26 20:16 GMT+02:00 Shawn Way <[email-masked]>:
> When the file is a .tex file, I can use C-c ; to comment and uncomment
>
> the \begin{equation} environment.
>
>
>
> Once the file is a Noweb version (extension .rnw), if I use C-c ; to
>
> comment or uncomment this environment it crashes emacs completely.
>
>
>
> I've tried other environments such as itemize or figure and these work
>
> fine.
>
>
>
> Any thoughts?
>
>
>
> Shawn Way, PE
>
>
>
> Minimal Example:
>
>
>
> ==========================
>
>
>
> \documentclass{article}
>
>
>
>
>
>
>
> \begin{document}
>
>
>
> \begin{equation}
>
>   \label{eq:hxvol2}
>
>   \begin{aligned}
>
>     Vol &= & n\ \times L\ \times\ \frac{\pi D^2}{4}\\
>
>   \end{aligned}
>
> \end{equation}
>
>
>
> \end{document}

Let me understand the recipe to reproduce the problem.  You save that
file as a noweb file (that is, with *.rnw extension) and when you
issue C-c ; Emacs crashes?  AUCTeX doesn't fiddle with Emacs
internals, it shouldn't make Emacs crash.  I noticed you're running a
development version of Emacs, did you try with a stable one?  I tried
with Emacs 24.5.1 and nothing happened (apart from commenting the
code).

Bye,
Mosè